/* This file is part of Cloudy and is copyright (C)1978-2014 by Gary J. Ferland and
 * others.  For conditions of distribution and use see copyright notice in license.txt */
#include "cddefines.h"
#include "continuum.h"
#include "thirdparty.h"
t_continuum continuum;

t_continuum::t_continuum()
{
	nrange = 0;
	mesh_md5sum = MD5datafile( "continuum_mesh.ini" );
}

void t_continuum::zero()
{
	/* this is scale factor, reset with set resolution command, for setting
	 * the continuum resolution.  Setting to 0.1 will increase resolution by 10x.
	 * this multiplies the resolution contained in the continuum_mesh.ini file */
	ResolutionScaleFactor = 1.;

	lgCoStarInterpolationCaution = false;
	lgCon0 = false;

	/* upper limit to energies of inner shell opacities in Ryd
	 * this is 1 MeV by default */
	EnergyKshell = 7.35e4;
}
